Runtime

## org.eclipse.gmf.runtime.notation.impl
Class FillStyleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.gmf.runtime.notation.impl.FillStyleImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, FillStyle, Style

    public class FillStyleImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements FillStyle

An implementation of the model object 'Fill Style'.

The following features are implemented:

- `Fill Color`
- `Transparency`
- `Gradient`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static int` `FILL_COLOR_EDEFAULT` The default value of the '`Fill Color`' attribute
`protected int` `fillColor` The cached value of the '`Fill Color`' attribute
`protected GradientData` `gradient` The cached value of the '`Gradient`' attribute
`protected static GradientData` `GRADIENT_EDEFAULT` The default value of the '`Gradient`' attribute
`protected int` `transparency` The cached value of the '`Transparency`' attribute
`protected static int` `TRANSPARENCY_EDEFAULT` The default value of the '`Transparency`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FillStyleImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getFillColor()`
`GradientData` `getGradient()`
`int` `getTransparency()`
`void` `setFillColor(int newFillColor)`
`void` `setGradient(GradientData newGradient)`
`void` `setTransparency(int newTransparency)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### FILL_COLOR_EDEFAULT

    protected static final int FILL_COLOR_EDEFAULT

  The default value of the '`Fill Color`' attribute.

  See Also:
    `getFillColor()`, Constant Field Values
  ** Generated **
  Ordered:

### fillColor

    protected int fillColor

  The cached value of the '`Fill Color`' attribute.

  See Also:
    `getFillColor()`
  ** Generated **
  Ordered:

### TRANSPARENCY_EDEFAULT

    protected static final int TRANSPARENCY_EDEFAULT

  The default value of the '`Transparency`' attribute.

  See Also:
    `getTransparency()`, Constant Field Values
  ** Generated **
  Ordered:

### transparency

    protected int transparency

  The cached value of the '`Transparency`' attribute.

  See Also:
    `getTransparency()`
  ** Generated **
  Ordered:

### GRADIENT_EDEFAULT

    protected static final GradientData GRADIENT_EDEFAULT

  The default value of the '`Gradient`' attribute.

  See Also:
    `getGradient()`
  ** Generated **
  Ordered:

### gradient

    protected GradientData gradient

  The cached value of the '`Gradient`' attribute.

  See Also:
    `getGradient()`
  ** Generated **
  Ordered:

Constructor Detail

### FillStyleImpl

    protected FillStyleImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getFillColor

    public int getFillColor()

  Specified by:
    `getFillColor` in interface `FillStyle`
  Returns:
    the value of the 'Fill Color' attribute.
  See Also:
    `FillStyle.setFillColor(int)`, `NotationPackage.getFillStyle_FillColor()`
  ** Generated **

### setFillColor

    public void setFillColor(int newFillColor)

  Specified by:
    `setFillColor` in interface `FillStyle`
  Parameters:
    `newFillColor` - the new value of the 'Fill Color' attribute.
  See Also:
    `FillStyle.getFillColor()`
  ** Generated **

### getTransparency

    public int getTransparency()

  Specified by:
    `getTransparency` in interface `FillStyle`
  Returns:
    the value of the 'Transparency' attribute.
  See Also:
    `FillStyle.setTransparency(int)`, `NotationPackage.getFillStyle_Transparency()`
  ** Generated **

### setTransparency

    public void setTransparency(int newTransparency)

  Specified by:
    `setTransparency` in interface `FillStyle`
  Parameters:
    `newTransparency` - the new value of the 'Transparency' attribute.
  See Also:
    `FillStyle.getTransparency()`
  ** Generated **

### getGradient

    public GradientData getGradient()

  Specified by:
    `getGradient` in interface `FillStyle`
  Returns:
    the value of the 'Gradient' attribute.
  See Also:
    `FillStyle.setGradient(GradientData)`, `NotationPackage.getFillStyle_Gradient()`
  ** Generated **

### setGradient

    public void setGradient(GradientData newGradient)

  Specified by:
    `setGradient` in interface `FillStyle`
  Parameters:
    `newGradient` - the new value of the 'Gradient' attribute.
  See Also:
    `FillStyle.getGradient()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.